> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Invitations



## OpenAPI

````yaml GET /v1/user-invitations
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/user-invitations:
    get:
      tags:
        - user-invitations
      parameters:
        - schema:
            type: number
          in: query
          name: limit
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: string
            enum:
              - PLATFORM
              - PROJECT
          in: query
          name: type
          required: true
        - schema:
            anyOf:
              - type: string
              - type: 'null'
          in: query
          name: projectId
          required: false
        - schema:
            type: string
            enum:
              - PENDING
              - ACCEPTED
          in: query
          name: status
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/user-invitation'
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                  previous:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - data
                additionalProperties: false
      security:
        - apiKey: []
components:
  schemas:
    user-invitation:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/user-invitation'
      type: object
      properties:
        id:
          type: string
        created:
          type: string
        updated:
          type: string
        email:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - ACCEPTED
        type:
          type: string
          enum:
            - PLATFORM
            - PROJECT
        platformId:
          type: string
        platformRole:
          anyOf:
            - type: string
              enum:
                - ADMIN
                - MEMBER
                - OPERATOR
            - type: 'null'
        projectId:
          anyOf:
            - type: string
            - type: 'null'
        projectRoleId:
          anyOf:
            - type: string
            - type: 'null'
        projectRole:
          anyOf:
            - type: object
              properties:
                id:
                  type: string
                created:
                  type: string
                updated:
                  type: string
                name:
                  type: string
                permissions:
                  type: array
                  items:
                    type: string
                platformId:
                  anyOf:
                    - type: string
                    - type: 'null'
                type:
                  type: string
                userCount:
                  type: number
              required:
                - id
                - created
                - updated
                - name
                - permissions
                - type
              additionalProperties: false
            - type: 'null'
      required:
        - id
        - created
        - updated
        - email
        - status
        - type
        - platformId
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````